Bug 889508 - Non-fatal POSTIN scriptlet failure in rpm package policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64
Summary: Non-fatal POSTIN scriptlet failure in rpm package policycoreutils-restorecond...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 14:17 UTC by Kamil Páral
Modified: 2013-06-01 02:27 UTC (History)
4 users (show)

Fixed In Version: policycoreutils-2.1.13-27.3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-01 02:27:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2012-12-21 14:17:15 UTC
Description of problem:

> Updating   : policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64
> Non-fatal POSTIN scriptlet failure in rpm package policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64
> /var/tmp/rpm-tmp.M2qaDs: line 1: fg: no job control
> warning: %post(policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64) scriptlet failed, exit status 1


Version-Release number of selected component (if applicable):
policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64

Comment 1 Michal Schmidt 2013-01-11 10:12:20 UTC
policycoreutils.spec is using macroized systemd scriptlets in Fedora 17 by mistake. They are only available since F18 (mainly because the macro for %post depends on the "preset" feature for which we do not ship the necessary preset files in F17). See:

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Comment 2 Kostya Berger 2013-01-24 07:22:40 UTC
So how do I get rid of this package or error? 

#rpm -qa | grep policycoreutilspolicycoreutils-python-2.1.13-55.fc18.x86_64
...
policycoreutils-restorecond-2.1.13-55.fc18.x86_64
policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64
...

and `sudo yum remove $package` gives off this:
...
Error in PREUN scriptlet in rpm package policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64
  Verifying  : policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64          1/1 

Failed:
  policycoreutils-restorecond.x86_64 0:2.1.13-27.1.fc17

Comment 3 Michal Schmidt 2013-01-24 13:50:44 UTC
rpm -e --noscripts policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64

Comment 4 Daniel Walsh 2013-01-24 22:39:37 UTC
Fixed in policycoreutils-2.1.12-27.2

Comment 5 Fedora Update System 2013-01-25 13:22:58 UTC
policycoreutils-2.1.13-27.2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-27.2.fc17

Comment 6 Fedora Update System 2013-01-26 16:03:42 UTC
Package policycoreutils-2.1.13-27.2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-27.2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1544/policycoreutils-2.1.13-27.2.fc17
then log in and leave karma (feedback).

Comment 7 Kostya Berger 2013-01-29 06:46:00 UTC
OK, thanks Michal Schmidt for the tip, that did it.

Now the funny thing is, I have 2 machines upgraded from the latest updated Fedora 17 to F18. But only one machine gave off this error! Anyway, now it's fixed, I deleted the old version using --noscripts option to rpm:

rpm -e --noscripts policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64

Thanks to everyone.

Comment 8 Kostya Berger 2013-01-29 06:46:50 UTC
OK, thanks Michal Schmidt for the tip, that did it.

Now the funny thing is, I have 2 machines upgraded from the latest updated Fedora 17 to F18. But only one machine gave off this error! Anyway, now it's fixed, I deleted the old version using --noscripts option to rpm:

rpm -e --noscripts policycoreutils-restorecond-2.1.13-27.1.fc17.x86_64

Thanks to everyone.

Comment 9 Fedora Update System 2013-02-08 19:28:59 UTC
policycoreutils-2.1.13-27.3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-27.3.fc17

Comment 10 Fedora Update System 2013-06-01 02:27:11 UTC
policycoreutils-2.1.13-27.3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.